{
	"name": "ecs",
	"authors": [
		"Michał Masiukiewicz", "Dawid Masiukiewicz"
	],
	"description": "Dynamic Entity Component System",
	"copyright": "Copyright © 2018-2019, Michał Masiukiewicz, Dawid Masiukiewicz",
	"license": "BSD 3-clause",
	"sourcePaths" : ["source\/"],
	"excludedSourceFiles":[
		"source\/ecs\/traits.d"
	],
	"configurations" : [
		{
			"name" : "library",
			"targetType" : "library"
		},
		{
			"name" : "tests",
			"sourceFiles" : ["tests/tests.d"],
			"targetType" : "executable",
			"excludedSourceFiles":[
				"source\/win_dll.d"
			]
		},
		{
			"name" : "dynlib",
			"targetType" : "dynamicLibrary",
			"dflags-linux-ldc" : [
				"-defaultlib=phobos2-ldc"
			]
		},
		{
			"name" : "sources",
			"targetType" : "dynamicLibrary",
			"dflags": [
				"-Hdimport/",
				"-op"
			]
		},
		{
			"name": "unittest-runner",
			"targetType" : "executable",
			"sourcePaths": ["source/","tests/"],
			"mainSourceFile":"tests/runner.d",
			"excludedSourceFiles":[
				"source\/win_dll.d",
				"tests/tests.d"
			],
			"dflags": [
				"-unittest"
			]
		},
		{
			"name": "unittest-runner-cov",
			"targetType" : "executable",
			"sourcePaths": ["source/","tests/"],
			"mainSourceFile":"tests/runner.d",
			"excludedSourceFiles":[
				"source\/win_dll.d",
				"tests/tests.d"
			],
			"dflags": [
				"-unittest",
				"-cov"
			]
		},
		{
			"name" : "library-betterC",
			"targetType" : "library",
			"excludedSourceFiles":[
				"source\/win_dll.d"
			],
			"dflags": [
				"-betterC",
				"-defaultlib="
			]
		},
		{
			"name" : "dynlib-betterC",
			"targetType" : "dynamicLibrary",
			"dflags": [
				"-betterC"
			],
			"dflags-ldc": [
				"--fvisibility=hidden",
				"-link-defaultlib-shared"
			],
			"dflags-gdc": [
				"-fno-druntime",
				"-fvisibility=hidden"
			],
			"lflags-gdc": [
				"-lpthread"
			]
		},
		{
			"name" : "tests-betterC",
			"targetType" : "executable",
			"sourceFiles" : ["tests/tests.d"],
			"excludedSourceFiles":[
				"source\/win_dll.d"
			],
			"dflags": [
				"-betterC"
			],
			"dflags-gdc": [
				"-fno-druntime"
			],
			"lflags-gdc": [
				"-lpthread"
			]
		},
		{
			"name": "unittest-runner-betterC",
			"targetType" : "executable",
			"dflags": [
				"-betterC",
				"-unittest"
			],
			"sourcePaths": ["source/","tests/"],
			"mainSourceFile":"tests/runner.d",
			"excludedSourceFiles":[
				"source\/win_dll.d",
				"tests/tests.d"
			]
		}
	]
}